dnl $Id: acinclude.m4,v 1.1 2001/03/06 00:50:33 ekalin Exp $

dnl The macro below defines a --with-default command line option. Two
dnl values are accepted. "hp48" means that kasm defaults to generate
dnl HP48 files. "hp49" (which is the default) means it by default
dnl generates HP49 files. The kasm command line options "-8" and "-9"
dnl can override this default.
AC_DEFUN(KASM_CHECK_DEFAULT_MODEL, [
  AC_MSG_CHECKING([which is the default calculator model])
  AC_ARG_WITH(default,
[  --with-default=model    model can be either hp48 or hp49.
                          This specifies which is default calculator model
                          for which files will be generated.
                          Default: hp49], [
    if test "$withval" = "hp48" ; then
      AC_DEFINE(IS_HP49_DEFAULT, false)
      AC_DEFINE(DEFAULT_HEADER, "HPHP48-X")
      AC_DEFINE(DEFAULT_ENTRY_FILE, "/entry48.a")
      AC_DEFINE(HP48_DEF_HLP, " (default)")
      AC_DEFINE(HP49_DEF_HLP, "")
      AC_MSG_RESULT(HP48)
    elif test "$withval" = "hp49" ; then
      AC_DEFINE(IS_HP49_DEFAULT, true)
      AC_DEFINE(DEFAULT_HEADER, "HPHP49-C")
      AC_DEFINE(DEFAULT_ENTRY_FILE, "/entry49.a")
      AC_DEFINE(HP48_DEF_HLP, "")
      AC_DEFINE(HP49_DEF_HLP, " (default)")
      AC_MSG_RESULT(HP49)
    else
      AC_MSG_ERROR([Invalid value $withval for --with-default option.])
    fi
  ], [
    AC_DEFINE(IS_HP49_DEFAULT, true)
    AC_DEFINE(DEFAULT_HEADER, "HPHP49-C")
    AC_DEFINE(DEFAULT_ENTRY_FILE, "/entry49.a")
    AC_DEFINE(HP48_DEF_HLP, "")
    AC_DEFINE(HP49_DEF_HLP, " (default)")
    AC_MSG_RESULT(HP49)
   ])
])
