% $Id: kasm.cls,v 1.1 2001/03/15 14:21:54 ekalin Exp $
\NeedsTeXFormat{LaTeX2e}[1995/01/01]

% Identification
\ProvidesClass{kasm}[
2001/03/15 Class for kasm Manual
Eduardo M Kalinowski (ekalin@iname.com)]

% Load the base class and required packages
\LoadClass[12pt,openany,draft]{book}
\RequirePackage[T1]{fontenc}
\RequirePackage{fancyhdr}

% Pass all options to the article class
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}
\ProcessOptions*


% Change the fonts
\renewcommand{\rmdefault}{pnc} % Roman font: New Century Schoolbook
\renewcommand{\sfdefault}{phv} % Sans font: Helvetica
%\renewcommand{\ttdefault}{pcr}


% Modify the paragraph-related lengths
\setlength{\parindent}{1.25cm}
\setlength{\parskip}{2pt}


% Modify the maketitle command
\renewcommand{\maketitle}{%
  {%
    \thispagestyle{empty}%
    \vspace*{\fill}%
    \flushright%
    \rule{\textwidth}{4pt} \\[15pt]%
    {\Huge \bfseries \@title} \\[30pt]%
    {\LARGE \bfseries \@author} \\[15pt]%
    \rule{\textwidth}{4pt}%
    \vspace*{\fill}%
    \vspace*{\fill}%
    \\%
    \begin{center}%
      \@date%
    \end{center}
  }%
}


% Change the sectioning commands
\renewcommand{\section}{\@startsection%
  {section}{1}{0cm}{1.5\baselineskip}{\baselineskip}%
    {\normalfont\sffamily\bfseries\LARGE}}

\renewcommand{\subsection}{\@startsection%
  {subsection}{2}{0cm}{\baselineskip}{0.75\baselineskip}%
    {\normalfont\sffamily\bfseries\Large}}

\renewcommand{\subsubsection}{\@startsection%
  {subsubsection}{3}{0cm}{\baselineskip}{\baselineskip}%
    {\normalfont\sffamily\bfseries\large}}

% Modified from book class
\renewcommand{\@makechapterhead}[1]{%
  \vspace*{50\p@}%
  {\parindent \z@ \raggedright \normalfont \sffamily
    \ifnum \c@secnumdepth >\m@ne
      \if@mainmatter
        \huge\bfseries \@chapapp\space \thechapter
        \par\nobreak
        \vskip 20\p@
      \fi
    \fi
    \interlinepenalty\@M
    \Huge \bfseries #1\par\nobreak
    \vskip 40\p@
}}

% Subsubsections are also numbered
\addtocounter{secnumdepth}{1}


% Change the headers
%\addtolength{\headwidth}{1cm}
\addtolength{\headheight}{3pt}
\lhead[\fancyplain{}{\thepage}]{\fancyplain{}{\rightmark}}
\rhead[\fancyplain{}{\leftmark}]{\fancyplain{}{\thepage}}
\cfoot{\fancyplain{\thepage}{}}


% Shortcut commands
\newcommand{\bl}{\ensuremath{\backslash}}

